<template>
  <q-page>
    
    <echart
        :product="selected_product"
        :data="data"
        :options="product_options"
        >
    </echart>
         
  </q-page>

</template>

<script>

export default {
    name: 'Charts',
    components: {
        'echart' : require('components/EchartsDemo.vue').default
    },
    data() {
      return {
        selected_product: 'Matcha Latte',
        data : [
          {product:'Matcha Latte', '2019': 43.3, '2020': 85.8, '2021':93.7},
          {product:'Milk Tea', '2019': 83.1, '2020': 73.4, '2021':55.1},
          {product:'Cheese Cocoa', '2019': 86.4, '2020': 65.8, '2021':82.5},
          {product:'Walnut Brownie', '2019': 72.4, '2020': 53.9, '2021':39.1},
        ],
        product_options: ['Matcha Latte','Milk Tea', 'Cheese Cocoa', 'Walnut Brownie'],
      }
    }
    
    
  }

</script>

<style scoped>

</style>